Index: tests/Calculations/molecuilder_mpqc.in
===================================================================
--- tests/Calculations/molecuilder_mpqc.in	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ 	(revision )
@@ -1,19 +1,0 @@
-#!/bin/sh
-#
-# wrapper for testing molecuilder
-
-. ../../atlocal
-
-SCLIBDIR="@abs_top_srcdir@/ThirdParty/mpqc_open/lib"
-export SCLIBDIR
-
-if test -e ${AUTOTEST_PATH}/../ThirdParty/mpqc_open/src/bin/mpqc/molecuilder_mpqc; then
-	${AUTOTEST_PATH}/../ThirdParty/mpqc_open/src/bin/mpqc/molecuilder_mpqc -n "$*"
-else
-	if test -e ${AUTOTEST_PATH}/molecuilder_mpqc; then
-		${AUTOTEST_PATH}/molecuilder_mpqc -n "$*"
-	else
-		echo "Could not find molecuilder_mpqc."
-		exit 127
-	fi
-fi
Index: tests/Calculations/molecuilder_poolworker.in
===================================================================
--- tests/Calculations/molecuilder_poolworker.in	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
+++ tests/Calculations/molecuilder_poolworker.in	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# wrapper for testing molecuilder
+
+. ../../atlocal
+
+SCLIBDIR="@abs_top_srcdir@/ThirdParty/mpqc_open/lib"
+export SCLIBDIR
+
+if test -e ${AUTOTEST_PATH}/molecuilder_poolworker; then
+	${AUTOTEST_PATH}/molecuilder_poolworker $@
+else
+	echo "Could not find molecuilder_poolworker."
+	exit 127
+fi
Index: tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethoxyethane.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethoxyethane.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethoxyethane.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethylbenzene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethylbenzene.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethylbenzene.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-2-methylcyclohexanone.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-2-methylcyclohexanone.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-2-methylcyclohexanone.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-N_N-dimethylacetamide.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-N_N-dimethylacetamide.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-N_N-dimethylacetamide.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-anthracene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-anthracene.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-anthracene.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-benzene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-benzene.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-benzene.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-cholesterol.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-cholesterol.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-cholesterol.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-coronene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-coronene.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-coronene.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-cycloheptane.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-cycloheptane.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-cycloheptane.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-dimethyl_bromomalonate.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-dimethyl_bromomalonate.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-dimethyl_bromomalonate.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-glucose.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-glucose.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-glucose.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-heptan.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-heptan.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-heptan.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-isoleucine.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-isoleucine.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-isoleucine.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-mpqc.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-mpqc.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-mpqc.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -32,5 +32,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-naphthalene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-naphthalene.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-naphthalene.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-neohexane.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-neohexane.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-neohexane.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-phenanthrene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-phenanthrene.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-phenanthrene.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-proline.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-proline.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-proline.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-putrescine.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-putrescine.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-putrescine.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
Index: tests/Calculations/testsuite-calculations-jobmarket-tartaric_acid.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-tartaric_acid.at	(revision 1cde364b2f6aa0e0a51b2f99726b36c49839e6d6)
+++ tests/Calculations/testsuite-calculations-jobmarket-tartaric_acid.at	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
@@ -33,5 +33,5 @@
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
